<?php
namespace Claromentis\Setup\Db\Migrations;

$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_09fd03941a048e1f" . "28e823189007cddf" => base64_decode("U2NoZW1hIHN1Y2Nlc3NmdWxseSBjcmVhdG" . "VkLiBDdXJyZW50IHZlcnNpb24gaXMgJw=="), "_4e804c3c" . "659ffa927" . "094580817" . "42376b" => base64_decode("Q3JlYX" . "Rpbmcg" . "c2NoZW" . "1h"), "_bc2b2cbee209b1cad" . "0873479a8fd921a" => base64_decode("L3NjaGVtYS9zY2hlb" . "WEucGhw"), "_98587fc188f350370f03d5470" . "7c587e1" => base64_decode("aXNfcmVhZGFibGU" . "="), "_c1bf7b7ebd1ab8431a8561d" . "762db1895" => base64_decode("QXBwbGljYXRpb24gaXMgbm90IGluc3Rh" . "bGxlZC4gQ2Fubm90IHVwZGF0ZQ=="), "_e608e5b5c4c34a67ba97e" . "f84c1e16199" => base64_decode("J" . "w" . "=" . "="), "_edc5e56d" . "0d74937af" . "4aa39a12b" . "4e62f4" => base64_decode("MDA" . "uMD" . "A="), "_98080012c0" . "2491a0c0cf9" . "af5c977f3c7" => base64_decode("U2NoZW1hIGZpbGU6IA=" . "="), "_3c4298ad118f0354938" . "7eda8af859750" => base64_decode("QXBwbGljYXRpb24gYW" . "xyZWFkeSBpbnN0YWxs" . "ZWQ="), "_afa8b786a0282" . "957bc5e6c82eb5" . "eeaba" => base64_decode("U2NoZW1hIGZpbGUgZG9lc24ndCBleGlzdCBvciBub3QgcmVhZGFibGUsIHNra" . "XBwaW5nIHNjaGVtYSBjcmVhdGlvbg=="), "_0a441bddac7bebad7a9858a0" . "dfadcd90" => base64_decode("MDE" . "uMD" . "E="));
use Claromentis\Setup\Exception\AlreadyInstalledException;
use Claromentis\Setup\Exception\NotInstalledException;




class Schema extends MigrationsBase
{
    
    
    
    
    
    
    
    
    public function Install()
    {
        if ($this->IsSchemaCreated()) {
            throw new AlreadyInstalledException($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_3c4298ad118f03549387eda8af8" . "59750"]);
        }
        $this->CreateSchema();
    }
    
    
    
    
    
    
    
    
    public function Update()
    {
        if (!$this->IsSchemaCreated()) {
            throw new NotInstalledException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_c1bf7b7" . "ebd1ab84" . "31a8561d" . "762db189" . "5"]);
        }
    }
    
    
    
    
    public function Up()
    {
        if (!$this->IsSchemaCreated()) {
            $this->CreateSchema();
        }
    }
    
    
    
    
    
    
    protected function IsSchemaCreated()
    {
        return $this->persistence->GetVersion() !== null;
    }
    
    
    
    
    protected function CreateSchema()
    {
        $_3d94334dda6f8e448f15c2285d522e72 = $this->init_path . $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_bc2b2cbee209" . "b1cad0873479a" . "8fd921a"];
        if ($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_98587fc188f350370f03d54707c587" . "e1"]($_3d94334dda6f8e448f15c2285d522e72)) {
            $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_98080012c02491a0c0cf9af5c" . "977f3c7"] . $_3d94334dda6f8e448f15c2285d522e72);
            $this->logger->notice($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_4e804c3c659ffa92" . "709458081742376b"]);
            extract($this->environment, EXTR_REFS | EXTR_OVERWRITE);
            include $_3d94334dda6f8e448f15c2285d522e72;
            if (!$this->persistence->GetVersion()) {
                $this->persistence->SetVersion($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_0a441bddac7bebad7a9858a0dfad" . "cd90"]);
            }
            $this->logger->notice($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_09fd03941a048e1f28" . "e823189007cddf"] . $this->persistence->GetVersion() . $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_e608e5b5c4c34a67ba9" . "7ef84c1e16199"]);
        } else {
            $this->logger->warning($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_afa8b786a0282957bc5e6c" . "82eb5eeaba"]);
            $this->persistence->SetVersion($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_edc5e56d0d74937af4aa39a1" . "2b4e62f4"]);
        }
    }
}